> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ドメインを更新

> 顧客に安全なドメイン設定を更新。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json PATCH /v1/public/accounts/{account_id}/domains/{domain}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}:
    patch:
      tags:
        - public-accounts
        - public-domains
      summary: ドメインを更新
      description: 顧客に安全なドメイン設定を更新。
      operationId: >-
        update_public_domain_v1_public_accounts__account_id__domains__domain__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomainUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainUpdateResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainUpdateRequest:
      additionalProperties: false
      description: 顧客向けドメイン設定を更新するスキーマ。
      properties:
        auto_renew:
          anyOf:
            - type: boolean
            - type: 'null'
          title: 自動更新
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: リダイレクトの作成または更新時に使用するリダイレクトモード
          title: リダイレクトモード
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: HTTPS リダイレクト URL。クリアする場合は null
          title: リダイレクト URL
        workspace_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: ワークスペースID
      title: ドメインUpdateリクエスト
      type: object
    DomainUpdateResponse:
      properties:
        auto_renew:
          title: 自動更新
          type: boolean
        id:
          format: uuid4
          title: ID
          type: string
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          title: リダイレクトモード
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: リダイレクト URL
        workspace_id:
          format: uuid4
          title: ワークスペースID
          type: string
      required:
        - id
        - workspace_id
        - auto_renew
      title: ドメインUpdateレスポンス
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````